in vec4 color;
in float fogFactor;
in vec2 fragTexCoord;
uniform sampler2D mat_tessBaseA;
out vec4 out_FragColor;

void main (void)
{
    vec4 final_color = color * texture2D(mat_tessBaseA, vec2(2.0*fragTexCoord.s, 6.0*fragTexCoord.t) ) * 1.5;
    out_FragColor = mix(vec4(0.8), final_color, fogFactor );
}
