/*
//vertex attributes
in vec3 in_Vertex;
in vec3 in_Normal;
in vec2 in_Coord;
*/

//built-in vertex attributes
vec3 in_Vertex = gl_Vertex.xyz;
vec3 in_Normal = gl_Normal;
vec2 in_Coord = gl_MultiTexCoord0.st;

out vec2 geomTexCoord;

void main()
{
    geomTexCoord = in_Coord;
    gl_Position = vec4(in_Vertex,1.0);
}
