
/*
//vertex attributes
in vec3 in_Vertex;
in vec3 in_Normal;
in vec2 in_Coord;
*/

//vertex attributes
vec3 in_Vertex = gl_Vertex.xyz;
vec3 in_Normal = gl_Normal;
vec2 in_Coord = gl_MultiTexCoord0.st;

out vec2 fragTexCoord;

//transformation matrices
//uniform mat4 in_ModelViewProjectionMatrix;

void main()
{
	fragTexCoord = in_Coord;
	gl_Position = gl_ModelViewProjectionMatrix * vec4(in_Vertex,1.0);
} 
