
uniform samplerCube mat_seaCubeA;
uniform sampler2D mat_seaBaseA;
in vec4 v_color;
in vec3 fnormal, feyeVec;
in float fogFactor;
in vec2 fragTexCoord;
out vec4 out_FragColor;

void main()
{
    //reflection
    vec3 reflVec = reflect(normalize(feyeVec), normalize(fnormal));
    out_FragColor = mix(vec4(1.0), v_color * texture2D(mat_seaBaseA, 10.0*fragTexCoord) * textureCube(mat_seaCubeA, 2.0*reflVec), fogFactor );
}
