///-----------------------------------------------------------------
///
/// @file      sysinfo_dialog.h
/// @author    Juraj Vanek
/// Created:   16. 4. 2010 2:16:16
/// @section   DESCRIPTION
///            TInfo class declaration
///
///------------------------------------------------------------------

#ifndef __TINFO_H__
#define __TINFO_H__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/dialog.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers between 
//Header Include Start and Header Include End.
//wxDev-C++ designer will remove them. Add custom headers after the block.
////Header Include Start
#include <wx/button.h>
#include <wx/html/htmlwin.h>
#include <wx/sizer.h>
////Header Include End

////Dialog Style Start
#undef TInfo_STYLE
#define TInfo_STYLE wxCAPTION | wxSYSTEM_MENU | wxDIALOG_NO_PARENT | wxMINIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class TInfo : public wxDialog
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		TInfo(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("System info"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = TInfo_STYLE);
		virtual ~TInfo();
		void btnInfoOKClick(wxCommandEvent& event);
		
		void SetData(wxString &data)
		{  htmlInfo->SetPage(data); }
	
	private:
		//Do not add custom control declarations between 
		//GUI Control Declaration Start and GUI Control Declaration End.
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxButton *btnInfoOK;
		wxHtmlWindow *htmlInfo;
		wxBoxSizer *WxBoxSizer1;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_BTNINFOOK = 1003,
			ID_HTMLINFO = 1002,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
	
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
};

#endif
